<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@genesislcap/foundation-login](./foundation-login.md) &gt; [LoginConfig](./foundation-login.loginconfig.md) &gt; [autoAuth](./foundation-login.loginconfig.autoauth.md)

## LoginConfig.autoAuth property

Login automatically or require user to click a login button after a connection is established.

**Signature:**

```typescript
autoAuth: boolean;
```

## Remarks

Needs to manually be enabled in the NavigationContributor (see \[2\] in the example in the [Login](./foundation-login.login.md) class).

